package io.xjar;

import java.io.OutputStream;
import java.io.InputStream;
import java.io.IOException;
import java.io.File;
import io.xjar.key.XKey;

public interface XDecryptor
{
    void decrypt(final XKey p0, final File p1, final File p2) throws IOException;
    
    void decrypt(final XKey p0, final InputStream p1, final OutputStream p2) throws IOException;
    
    InputStream decrypt(final XKey p0, final InputStream p1) throws IOException;
    
    OutputStream decrypt(final XKey p0, final OutputStream p1) throws IOException;
}
